MKVINFO(1)

NAME
mkvinfo - gibt Informationen über Elemente der Matroska(TM)-Dateien aus.

ÜBERSICHT

mkvinfo [Optionen] {Quelldateiname}

BESCHREIBUNG

Dieses Programm führt alle in Matroska(TM)-Dateien enthaltenen Elemente auf. Die Ausgabe kann kann auf eine Liste von Spuren in der Datei, einschließlich Informationen über die benutzten Codecs, begrenzt werden.

-g, --gui
    startet das GUI. Diese Option ist nur verfügbar, falls Mkvinfo mit GUI-Unterstützung kompiliert wurde.

-c, --checksums
    berechnet für jedes Bild die Adler32-Prüfsumme und zeigt sie an. Nur nützlich zur Fehlersuche.

-s, --summary
    zeigt nur eine knappe Zusammenfassung, was mkvinfo(1) findet und nicht jedes Element.

-t, --track-info
    Zeigt detailliert Statistiken für jede Spur an. Außerdem wird die Detailstufe auf 1 gesetzt, falls sie vorher auf 0 war.

-x, --hexdump
    zeigt die ersten 16 Byte jedes Bilds als hexadezimale Ausgabe an.

-X, --full-hexdump
    zeigt alle Byte von jedem Bild als hexadezimale Ausgabe an.

-z, --size
    zeigt die Größe jedes Elements einschließlich seiner Kopfdaten an.

--command-line-charset Zeichensatz
    setzt den Zeichensatz, um auf der Befehlszeile angegebene Zeichenketten umzuwandeln. Voreinstellung ist der Zeichensatz der aktuellen Locale des Systems.

--output-charset Zeichensatz
    setzt den Zeichensatz, in den Zeichenketten zur Ausgabe umgewandelt werden. Voreinstellung ist der Zeichensatz der aktuellen Locale des Systems.

-r, --redirect-output Dateiname
    schreibt alle Nachrichten in die Datei Dateiname statt auf die Konsole. Obwohl dies einfach durch Ausgabeumleitung erledigt werden kann, gibt es Fälle, in denen diese Option benötigt wird: wenn das Terminal die Ausgabe vor dem Schreiben in eine Datei neu auswertet. Der mit --output-charset gesetzte Zeichensatz wird dabei berücksichtigt.

--ui-language Code
    erzwingt, dass die Übersetzungen für die Sprache Code benutzt werden (z.B. »de_DE« für die deutschen Übersetzungen). Vorzugsweise sollten jedoch die Umgebungsvariablen LANG, LC_MESSAGES und LC_ALL benutzt werden. Die Eingabe von »list« als Code wird mkvinfo(1) veranlassen, eine Liste der verfügbaren Übersetzungen auszugeben.

--debug Thema
    schaltet die Fehlersuche für eine bestimmte Funktionalität ein. Diese Option ist nur für Entwickler nützlich.

--engage Funktionalität
    schaltet experimentelle Funktionalitäten ein. Eine Liste verfügbarer Funktionalitäten kann mit mkvinfo --engage list abgefragt werden. Diese Funktionalitäten sind nicht für die Verwendung in Alltagssituationen gedacht.

--gui-mode
    Schaltet den Modus für graphische Benutzeroberflächen an. In diesem Modus können auf bestimmte Art formatierte Zeilen ausgegeben werden, die einem aufrufenden Programm mitteilen, was mkvmerge(1) gerade tut. Diese Nachrichten haben das folgende Format: '#GUI#Nachricht'. Der Nachricht folgen potenziell Schlüssel/Wert-Paare wie z.B. '#GUI#Nachricht#schluessel1=wert1#schluessel2=wert2...'. Weder die Nachricht selber noch die Schlüssel werden jemals übersetzt sondern immer in Englisch ausgegeben.

    Diese Option hat nichts mit der Option --gui zu tun, welche dafür sorgt, dass mkvinfo(1) seine graphische Benutzeroberfläche anzeigt.

-v, --verbose
    erhöht die Detailstufe. Welche Beschreibung auf welcher Stufe ausgegeben wird, finden Sie im Abschnitt Detailstufen.

-h, --help
    zeigt Benutzungsinformationen und beendet sich.

-V, --version
    zeigt Versionsinformationen und beendet sich.

--check-for-updates
    prüft online durch Herunterladen der URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml, ob es neue Veröffentlichungen gibt. Vier Zeilen werden im Stil Schlüssel=Wert ausgegeben: die URL, von der die Informationen bezogen wurden (Schlüssel version_check_url), die aktuell laufende Version (Schlüssel running_version), die Version der neusten Veröffentlichung (Schlüssel available_version) und die Download-URL (Schlüssel download_url).

    Anschließend beendet sich das Programm mit einem Rückgabewert von 0, falls keine neuere Veröffentlichung verfügbar ist, mit 1, wenn eine neuere Veröffentlichung verfügbar ist und mit 2, falls ein Fehler auftritt (z.B., wenn die Aktualisierungsinformationen nicht abgefragt werden konnten).

    Diese Option ist nur verfügbar, falls das Programm mit Unterstützung für Libcurl gebaut wurde.

@Optionsdatei
    liest zusätzliche Befehlszeilenargumente aus der Datei Optionsdatei. Zeilen, deren erstes Nichtleerraumzeichen ein Rautenzeichen (»#«) ist, werden als Kommentare betrachtet und ignoriert. Leerräume am Anfang und Ende einer Zeile werden abgeschnitten. Jede Zeile darf genau eine Option enthalten.

    Verschiedene Zeichen können maskiert werden, z.B. falls Sie möchten, dass eine Nichtkommentarzeile mit einem »#« beginnt. Die Regeln werden im Abschnitt über Maskieren von Text beschrieben.

    Die Befehlszeile »mkvinfo -v -v Eingabe.mkv --redirect-output Info.txt kann in die folgende Optionsdatei umgewandelt werden:

        # Detailstufe erhöhen
        -v
        -v
        # Eingabe.mkv auswerten
        Eingabe.mkv
        # und die Ausgabe in Info.txt schreiben
        --redirect-output
        Info.txt

DETAILSTUFEN

Die Option -v kann benutzt werden, um die Detailstufe von mkvinfo(1) zu erhöhen und weitere Informationen über die aktuelle Datei auszugeben.

Auf Stufe 0 wird mkvinfo(1) nur die Spurkopfdaten, die es findet und deren Typen, ausgeben. Sobald die Kopfdaten vollständig ausgewertet sind, wird sich mkvinfo(1) beenden (technischer ausgedrückt: sobald der erste Cluster gefunden wird). Auf dieser Stufe werden die Suchkopfeinträge und Indizes nicht angezeigt – selbst wenn sie vor den Spurinformationen liegen.

Auf Stufe 1 wird mkvinfo(1) ebenfalls alle für die vollständige Datei gefundenen Matroska(TM)-Elemente außer den Suchkopf- und Indexeinträgen ausgeben. Falls der Zusammenfassungsmodus aktiviert ist, wird mkvinfo(1) obendrein die Bildposition ausgeben.

Auf Stufe 2 wird mkvinfo(1) auch die Suchkopfeinträge, die Indexeinträge und die Dateiposition ausgeben, an der jedes Matroska(TM)-Element gefunden werden kann.

Auf Stufe 3 und darüber wird mkvinfo(1) einige Informationen ausgeben, die nicht direkt mit einem Matroska(TM)-Element verbunden sind. Alle anderen Elemente geben nur Zeug über Elemente aus, die soeben gefunden wurden. Stufe 3 fügt Metainformationen zur Erleichterung der Fehlersuche hinzu (sprich: Sie ist nur für Entwickler gedacht). Alle Zeilen, die durch Stufe 3 geschrieben werden, sind in eckige Klammern eingeschlossen, um ihre Filterung zu erleichtern.

UMWANDLUNGEN VON TEXTDATEIEN UND ZEICHENSÄTZEN

Für eine tiefer gehende Diskussion darüber, wie die Programme in der MKVToolNix-Sammlung die Umwandlung von Zeichensätzen, Eingabe-/Ausgabecodierung, Kommandozeilenzeichensätze und Konsolenzeichensätze handhaben, sei auf den Abschnitt »Umwandlungen von Textdateien und Zeichensätzen« in der Handbuchseite von mkvmerge(1) verwiesen.

RÜCKGABEWERTE

mkvinfo(1) beendet sich mit einem von drei Rückgabewerten:

    • 0 – dieser Rückgabewert bedeutet, dass der Durchlauf erfolgreich abgeschlossen wurde.

    • 1 – in diesem Fall hat mkvinfo(1) mindestens eine Warnung ausgegeben, die Ausführung wurde aber fortgesetzt. Einer Warnung wird der Text »Warning:« vorangestellt.

    • 2 – dieser Rückgabewert wird benutzt, nachdem ein Fehler aufgetreten ist. mkvinfo(1) wird gleich nach der Ausgabe der Fehlermeldung abgebrochen. Fehlermeldungen reichen von falschen Befehlszeilenargumenten über Lese-/Schreibfehler bis hin zu beschädigten Dateien.

SONDERZEICHEN IN TEXT MASKIEREN

Es gibt ein paar Stellen, an denen Sonderzeichen in Text maskiert werden müssen oder sollen. Die Regeln zum Maskieren sind einfach: Jedes Zeichen, das maskiert werden soll, wird durch einen Rückwärtsschrägstrich gefolgt von einem weiteren Zeichen ersetzt.

Die Regeln lauten: » « (ein Leerzeichen) wird »\s«, »"« (doppeltes Anführungszeichen) wird »\2«, »:« wird »\c«, »#« wird »\h« und »\« (ein einfacher Rückwärtsschrägstrich selbst) wird »\\«.

UMGEBUNGSVARIABLEN

mkvinfo(1) verwendet die Standardvariablen, um die Locale des Systems zu bestimmen (z.B. LANG und die LC_*-Familie). Zusätzliche Variablen:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG und ihre Kurzform MTX_DEBUG
    Der Inhalt wird behandelt, als ob er mit der Option --debug übergeben worden wäre.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE und ihre Kurzform MTX_ENGAGE
    Der Inhalt wird behandelt, als ob er mit der Option --engage übergeben worden wäre.

MKVINFO_OPTIONS, MKVTOOLNIX_OPTIONS und ihre Kurzform MTX_OPTIONS
    Der Inhalt wird bei Leerräumen aufgeteilt. Die resultierenden Teilzeichenketten werden behandelt, als ob sie als Befehlszeilenoptionen übergeben worden wären. Falls Sie Sonderzeichen übergeben möchten (z.B. Leerzeichen), müssen Sie sie maskieren (siehe den Abschnitt über Maskieren von Sonderzeichen in Text).

SIEHE AUCH

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

Die neuste Version kann immer auf der MKVToolNix-Homepage[1] gefunden werden.

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Entwickler

FUßNOTEN

1.  der MKVToolNix-Homepage
    https://mkvtoolnix.download/